gc = MakeCONFilter(6);
n = 512;
coarsest = 3;
finest = log2(n)-1; %finest level of wavelet decomposition

% Compute wavelet transformation matrix
Wmod = [];
In = eye(n);
J = finest-coarsest+1;
Lf = length(gc);
for i=0:Lf-1
    hc(i+1) = (-1)^i*conj(gc(Lf-i));
end; 
for i=1:n
[W V] = cmodwt(In(:,i), gc, hc, J);    
Wmod(:,i) = [V;fliplr(W(:))];
end;

[W V] = cmodwt(In(:,i), gc, hc, 8);